POST https://api.cryptohopper.com/v1/social/post/{id}/like

Likes a post and notifies its author. Liking a post you already liked changes nothing.

OAuth scope: manage About scopes

Example request

curl -X POST "https://api.cryptohopper.com/v1/social/post/POST_ID/like" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Numeric ID of the post to like.

Response

Example response (illustrative values)

{
    "data": {
        "liked": 1,
        "total_likes": 13,
        "message": "Post liked."
    }
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.